#!/usr/bin/python3

import time

import saveMeetings
import bbbRequest
import parseMeetings
import util


def sleepFiveMin(verbose=False):
    minute = 60
    fiveMinutes = 5 * minute

    if verbose:
        print(">> Sleeping for five minutes <<")
    time.sleep(fiveMinutes)


def v2():
    print("BBB meetingData logger started!")

    while True:
        meetingsStr = bbbRequest.requestMeetingData()
        saveDir = util.getWorkingDir().joinpath("../data")
        savedFile = saveMeetings.saveMeetingsData(meetingsStr, saveDir)
        print("Saved meetings at {}".format(savedFile))

        meetings = parseMeetings.parseMeetingsData(meetingsStr)
        bbbStatus = parseMeetings.BbbStatus(meetings)
        bbbStatusStr = str(bbbStatus)
        print(util.indentMultilineStr(bbbStatusStr))

        sleepFiveMin(verbose=True)


def v1():
    while True:
        saveDir = util.getWorkingDir().joinpath("../data")
        saveMeetings.requestAndSaveMeetingData(saveDir)
        print('.', end='')
        sleepFiveMin()


if __name__ == '__main__':
    v2()
    exit(1)
