from datetime import datetime
from pathlib import Path

import bbbRequest


def requestAndSaveMeetingData(folder: Path) -> Path:
    """
    save a new xml file in the given folder

    :param dataStr:
    :param folder:
    :return: Path to created file
    """

    return saveMeetingsData(bbbRequest.requestMeetingData(), folder)


def saveMeetingsData(dataStr: str, folder: Path) -> Path:
    """
    save a new xml file in the given folder

    :param dataStr:
    :param folder:
    :return: Path to created file
    """

    return doSaveData(dataStr, folder, 'meetings')


def doSaveData(dataStr: str, folder: Path, dataType: str = 'meetings') -> Path:
    """
    save a new xml file in the given folder

    :param dataStr:
    :param folder:
    :param dataType: e.g. "meetings" for meeting XML data
    :return: Path to created file
    """

    # time_str = datetime.utcnow().strftime('%Y%m%d_%H%M%S')
    time_str = datetime.now().strftime('%Y%m%d_%H%M%S')
    filename = '{}_{}.xml'.format(time_str, dataType)
    filepath = folder.joinpath(filename)

    with open(filepath, "w") as xml_file:
        xml_file.write(dataStr)
    return filepath
